Bug 69934 - Default kernel does not SCAN all SCSI luns
Default kernel does not SCAN all SCSI luns
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 12:05 EDT by Paul Witting
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:02:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Witting 2002-07-26 12:05:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818; .NET 
CLR 1.0.3705)

Description of problem:
The default kernel (-3smp at least) does not enable scan_all_scsi_luns, which 
typically causes only 1 SAN drive to be detected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attach system to SAN disks (IBM ESS Shark)
2.Boot/Load module to scan for disks
3.Only 1 disk is detected
	

Actual Results:  System detects only the disk an LUN 0

Expected Results:  Expected to detect all attached disks, (100 in this cas, 
with LUNS from 0 to 99)

Additional info:

Solved problem by building custom kernel with this option available. If this 
can be turned on by default with causing other problems, you should probably do 
so, if not, then including SAN enabled kernels to install when FC cards are 
detected would be good.
Comment 1 Phil Knirsch 2002-08-07 10:07:05 EDT
Definitely kernel, not kernelcfg (kernelcfg was a GUI tool in older releases to
edit /etc/modules.conf).

Reassigning to kernel component.

Read ya, Phil
Comment 2 Arjan van de Ven 2002-08-07 10:10:27 EDT
1) This option is off by default because it often crashes (cheaper) scsi devices
2) There is a whitelist of devices that are scanned regardless of the option, it
seems yours is missing, please send cat /proc/scsi/scsi output
3) This option is a boot time option, no need to recompile your kernel, it's
just a line to /etc/modules.conf....
Comment 3 Paul Witting 2002-08-07 10:35:25 EDT
This raises a number of questions:

a) I attached the dump below (running a custom built version of 2.4.18-5), 
however it only seems to list he "Model"; seems it would be better to 
automaticly key the scan off the existance of a FC device, such as the Qlogic 
2x00 card (qla2200.o in my case)

b) modinfo qla2200
filename:    /lib/modules/2.4.18-5jfs/kernel/drivers/addon/qla2200/qla2200.o
description: <none>
author:      <none>
license:     "GPL"
parm:        ql2xopts string
parm:        ql2xmaxqdepth int
parm:        ConfigRequired int
parm:        recoveryTime int
parm:        failbackTime int
parm:        MaxPathsPerDevice int
parm:        MaxRetriesPerPath int
parm:        MaxRetriesPerIo int

# modinfo sd_mod 
filename:    /lib/modules/2.4.18-5jfs/kernel/drivers/scsi/sd_mod.o
description: <none>
author:      <none>
license:     "GPL"

So what option should I pass through the modules.conf

c) I did try appending "scan_all_scsi_luns" both at the LILO prompt and in 
lilo.conf, neither worked.(a suggestion from googlegroups)

Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: DELL     Model: PERCRAID Mirror  Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: DELL     Model: PERCRAID Mirror  Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 01
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 02
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 03
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 04
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 05
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 06
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 07
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 08
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 09
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 10
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 11
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 12
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 13
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 14
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 15
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 16
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 17
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 18
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 19
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 20
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 21
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 22
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 23
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 24
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 25
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 26
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 27
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 28
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 29
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 30
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 31
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 32
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 33
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 34
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 35
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 36
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi2 Channel: 00 Id: 00 Lun: 37
  Vendor: IBM      Model: 2105F20          Rev: 1206
  Type:   Direct-Access                    ANSI SCSI revision: 03

Note You need to log in before you can comment on or make changes to this bug.